---
date: 2020-09-13
author: Matthias Günther
email: matthias@wikimatze.de
categories: logo story
tags: padrino, release
title: Story behind the Padrino logo
---

Padrino is a free and open-source web framework, and they were looking for a new logo and image that would match the outstanding quality of this exciting and versatile framework.


## The work

My work for Padrino was the creation of the new logo, from the idea and conceptualization to the execution.


## The outcome

![https://images.squarespace-cdn.com/content/v1/5a7838e4be42d6cd6a7d7366/1520245387319-TMGY3QRQFX3MEH6L3RZD/ke17ZwdGBToddI8pDm48kNnIS51AHbN0JwnabaYcXaUUqsxRUqqbr1mOJYKfIPR7LoDQ9mXPOjoJoqy81S2I8N_N4V1vUb5AoIIIbLZhVYxCRW4BPu10St3TBAUQYVKcaCDji613HZ8NcWdmjUpVWFoQGRzu2GF5oWyvdRwzroe9rcWrA2O4cyDGLRprRfsx/ins.jpg?format=1000w](https://images.squarespace-cdn.com/content/v1/5a7838e4be42d6cd6a7d7366/1520245387319-TMGY3QRQFX3MEH6L3RZD/ke17ZwdGBToddI8pDm48kNnIS51AHbN0JwnabaYcXaUUqsxRUqqbr1mOJYKfIPR7LoDQ9mXPOjoJoqy81S2I8N_N4V1vUb5AoIIIbLZhVYxCRW4BPu10St3TBAUQYVKcaCDji613HZ8NcWdmjUpVWFoQGRzu2GF5oWyvdRwzroe9rcWrA2O4cyDGLRprRfsx/ins.jpg?format=1000w "The outcome")

In the conceptualization and execution of the Padrino logo the driving force was primarily "elegance”.  Allusion to this concept is made in the
definition found in the same Padrino website.  Likewise, such reference to the Godfather (Padrino in Italian and Spanish), should also be clear,
evoking and with a focus on the positive values (not the negatives :) that have cemented him as one of the most iconic fictional characters of the
20th century.


From that origin point, there were two other main factors that shaped the style and form of this logo. Firstly, you will appreciate the styling
features of [Art Déco](https://en.wikipedia.org/wiki/Art_Deco "Art Déco"), in allusion to the younger years of Vito Corleone (1920-1940). And second,
the relation of Padrino platform with the Ruby language had to be shown in one or other way; the solution was the use of a triangular shape, evoking
the shape of a ruby (see below)


![https://images.squarespace-cdn.com/content/v1/5a7838e4be42d6cd6a7d7366/1520265582003-O5TUZJH3CU49P7URK7WY/ke17ZwdGBToddI8pDm48kMU8x58QH-w1wlQtg3LEEOAUqsxRUqqbr1mOJYKfIPR7LoDQ9mXPOjoJoqy81S2I8N_N4V1vUb5AoIIIbLZhVYxCRW4BPu10St3TBAUQYVKcIh2wdTRzsZ9HjFBUyscftisjNtTm-iOPObf_crBC7oohG3Dxr0L9abktsWZjgbB6/content6.jpg?format=1000w](https://images.squarespace-cdn.com/content/v1/5a7838e4be42d6cd6a7d7366/1520265582003-O5TUZJH3CU49P7URK7WY/ke17ZwdGBToddI8pDm48kMU8x58QH-w1wlQtg3LEEOAUqsxRUqqbr1mOJYKfIPR7LoDQ9mXPOjoJoqy81S2I8N_N4V1vUb5AoIIIbLZhVYxCRW4BPu10St3TBAUQYVKcIh2wdTRzsZ9HjFBUyscftisjNtTm-iOPObf_crBC7oohG3Dxr0L9abktsWZjgbB6/content6.jpg?format=1000w "Ruby language logo (shape)")


So the outcome is a logo that collects the essence and the spirit of the topic, and represents perfectly the slogan of Padrino:
"The Elegant Ruby Web Framework".


![https://images.squarespace-cdn.com/content/v1/5a7838e4be42d6cd6a7d7366/1520253917865-POIF6GK211RMBTYFXL9B/ke17ZwdGBToddI8pDm48kK-NtjRiFFfzoSwd2tQzO_8UqsxRUqqbr1mOJYKfIPR7LoDQ9mXPOjoJoqy81S2I8N_N4V1vUb5AoIIIbLZhVYxCRW4BPu10St3TBAUQYVKcUz6e6JLP7i1zOKybPyjBmSvQ7Fd0zDFBvL3qIOEuis2uTsfwykxXIY5jpL0Pi7JC/logo_pad.png?format=500w](https://images.squarespace-cdn.com/content/v1/5a7838e4be42d6cd6a7d7366/1520253917865-POIF6GK211RMBTYFXL9B/ke17ZwdGBToddI8pDm48kK-NtjRiFFfzoSwd2tQzO_8UqsxRUqqbr1mOJYKfIPR7LoDQ9mXPOjoJoqy81S2I8N_N4V1vUb5AoIIIbLZhVYxCRW4BPu10St3TBAUQYVKcUz6e6JLP7i1zOKybPyjBmSvQ7Fd0zDFBvL3qIOEuis2uTsfwykxXIY5jpL0Pi7JC/logo_pad.png?format=500w "Padrino logo").


![https://images.squarespace-cdn.com/content/v1/5a7838e4be42d6cd6a7d7366/1520254534721-ZQGSMOZ9GHUBFB5RR0AK/ke17ZwdGBToddI8pDm48kJ7gvoev_U44BP9zVMwI-tAUqsxRUqqbr1mOJYKfIPR7LoDQ9mXPOjoJoqy81S2I8N_N4V1vUb5AoIIIbLZhVYxCRW4BPu10St3TBAUQYVKcqBjMm-0uPCGcfGODSqFfcIGDnDdj9AKhJNZyTLAHy3TNRVKLk4y79dgSzJR9aJHS/content_pad2.jpg?format=1000w](https://images.squarespace-cdn.com/content/v1/5a7838e4be42d6cd6a7d7366/1520254534721-ZQGSMOZ9GHUBFB5RR0AK/ke17ZwdGBToddI8pDm48kJ7gvoev_U44BP9zVMwI-tAUqsxRUqqbr1mOJYKfIPR7LoDQ9mXPOjoJoqy81S2I8N_N4V1vUb5AoIIIbLZhVYxCRW4BPu10St3TBAUQYVKcqBjMm-0uPCGcfGODSqFfcIGDnDdj9AKhJNZyTLAHy3TNRVKLk4y79dgSzJR9aJHS/content_pad2.jpg?format=1000w "Padrino logo devices")

*All credits for this post goes to [Daniel Polo](https://www.unpolo.com/padrino-case-study "Daniel Polo").*
